/*
 * initx.c - This file is part of the gx package for Linux, SunOS & Solaris,
 * written by Gabor Ribarik <ribarik@innin.elte.hu>.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdio.h>
#include <stdlib.h>
Display *theDisplay;
int theScreen;
int theDepth; /*szinek*/
unsigned long theBlackPixel;/*"fekete" szin*/
unsigned long theWhitePixel;/*"feher" szin*/
int initX()
{
theDisplay=XOpenDisplay( NULL );
if ( theDisplay == NULL ) {
fprintf( stderr, "ERROR: Cannot establish X connection to: %s\n",
XDisplayName( NULL ) );
exit(1);                  }
theScreen=DefaultScreen( theDisplay );
theDepth=DefaultDepth( theDisplay, theScreen );
theBlackPixel=WhitePixel(theDisplay,theScreen);
theWhitePixel=BlackPixel(theDisplay,theScreen);
return(1); 
}
getXInfo()
{
printf("%s version %d of the X Window System, X%d R%d\n",
ServerVendor(theDisplay),
VendorRelease(theDisplay),
ProtocolVersion(theDisplay),
ProtocolRevision(theDisplay) );

printf("Color plane Depth: %d\n",theDepth);
if ( theDepth==1 ) printf("1-es szam jelentese: monochrome display\n");
printf( "Display Width: %d\n", DisplayWidth( theDisplay, theScreen ) );
printf( "Display Height: %d\n", DisplayHeight( theDisplay, theScreen ) );
/*printf("The display %s\n",XDisplayName( theDisplay ));*/
}

