/*
 * test2.c - This file is part of the gx package for Linux, SunOS & Solaris,
 * written by Gabor Ribarik <ribarik@innin.elte.hu>.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#include <X11/Xlib.h>
extern Display *theDisplay;
extern unsigned long theBlackPixel;
extern unsigned long theWhitePixel;
main()
{
int i,j,quit,color;
Window theWindow, openWindow();
GC theGC;
initX();/*kapcsolat*/
getXInfo();
/*Ablak nyitasa:*/
theWindow=openWindow( 508,0,/*x,y*/
                      640,480,/*width,height*/
                      0,
                      &theGC);     /*This is NOT a pop-up*/
quit=0;
color=1;
while(!quit)
 {
 XEvent e;
 XNextEvent(theDisplay,&e);
 switch(e.type)
  {
  case KeyPress:
   {
   XGCValues v;
   if (((XKeyEvent*)(&e))->keycode==XKeysymToKeycode(theDisplay,XStringToKeysym("q")))
    {
    quit=1;
    XFlush( theDisplay );
    }
   v.foreground=(color) ? theBlackPixel : theWhitePixel;
   v.background=(!color) ? theBlackPixel : theWhitePixel;
   color ^= 1;
   XChangeGC(theDisplay,theGC,GCForeground | GCBackground, &v);
   XDrawPoint(theDisplay,theWindow,theGC,1,1);
   v.foreground=theWhitePixel;
   v.background=theBlackPixel; 
   XChangeGC(theDisplay,theGC,GCForeground | GCBackground, &v);
   XFlush(theDisplay);
   break;
   }
  case Expose:
   {
   drawLine( theWindow ,theGC,10,10,100,100 );
   drawRectangle( theWindow,theGC,100,100,100,100 );
   for (j=0;j<=48;++j)
   for (i=0;i<=64;++i) XDrawPoint(theDisplay,theWindow,theGC,10*i,10*j);
   }
  }
 }
/*XFlush( theDisplay );*/ /*kikuldi az osszes output-ot*/
/*sleep(1);
XFlush( theDisplay );
sleep(5);*/
XDestroyWindow(theDisplay,theWindow);
quitX();
}